[ARVADOS-DEV] updated: 03d58fa94878d11cac6d25cdb67180060d1e2fe5
git at public.curoverse.com
git at public.curoverse.com
Thu Feb 12 13:33:02 EST 2015
Summary of changes:
jenkins/run-tests.sh | 9 +++++----
1 file changed, 5 insertions(+), 4 deletions(-)
discards 9045c25258055673b121040dc8c42048aa3a42c7 (commit)
discards 3385feb3cf354ae36672792b57ed4bb1821d7c75 (commit)
via 03d58fa94878d11cac6d25cdb67180060d1e2fe5 (commit)
via 2d03ecf4a147db64708991bd3bf2f1d9fc9b358e (commit)
via e8492641dbf4051c456d355e536126740198892a (commit)
This update added new revisions after undoing existing revisions. That is
to say, the old revision is not a strict subset of the new revision. This
situation occurs when you --force push a change and generate a repository
containing something like this:
* -- * -- B -- O -- O -- O (9045c25258055673b121040dc8c42048aa3a42c7)
\
N -- N -- N (03d58fa94878d11cac6d25cdb67180060d1e2fe5)
When this happens we assume that you've already had alert emails for all
of the O revisions, and so we here report only the revisions in the N
branch from the common base, B.
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 03d58fa94878d11cac6d25cdb67180060d1e2fe5
Author: Tom Clegg <tom at curoverse.com>
Date: Sun Feb 8 18:59:26 2015 -0500
Clean up and exit on SIGINT.
diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index 689405b..b87a7f5 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -126,6 +126,16 @@ report_outcomes() {
fi
}
+exit_cleanly() {
+ trap - INT
+ rotate_logfile "$WORKSPACE/apps/workbench/log/" "test.log"
+ stop_api
+ rotate_logfile "$WORKSPACE/services/api/log/" "test.log"
+ report_outcomes
+ clear_temp
+ exit ${#failures}
+}
+
sanity_checks() {
# Make sure WORKSPACE is set
if ! [[ -n "$WORKSPACE" ]]; then
@@ -165,7 +175,6 @@ sanity_checks() {
echo >&2
exit 1
fi
-
}
rotate_logfile() {
@@ -221,6 +230,29 @@ do
esac
done
+start_api() {
+ echo 'Starting API server...'
+ cd "$WORKSPACE" \
+ && eval $(python sdk/python/tests/run_test_server.py start --auth admin) \
+ && export ARVADOS_TEST_API_HOST="$ARVADOS_API_HOST" \
+ && export ARVADOS_TEST_API_INSTALLED="$$" \
+ && (env | egrep ^ARVADOS)
+}
+
+stop_api() {
+ if [[ -n "$ARVADOS_TEST_API_HOST" ]]; then
+ unset ARVADOS_TEST_API_HOST
+ cd "$WORKSPACE" \
+ && python sdk/python/tests/run_test_server.py stop
+ fi
+}
+
+interrupt() {
+ failures+=("($(basename $0) interrupted)")
+ exit_cleanly
+}
+trap interrupt INT
+
sanity_checks
echo "WORKSPACE=$WORKSPACE"
@@ -530,21 +562,6 @@ install_workbench() {
}
do_install apps/workbench workbench
-start_api() {
- echo 'Starting API server...'
- cd "$WORKSPACE" \
- && eval $(python sdk/python/tests/run_test_server.py start --auth admin) \
- && export ARVADOS_TEST_API_HOST="$ARVADOS_API_HOST" \
- && export ARVADOS_TEST_API_INSTALLED="$$" \
- && (env | egrep ^ARVADOS)
-}
-
-stop_api() {
- unset ARVADOS_TEST_API_HOST
- cd "$WORKSPACE" \
- && python sdk/python/tests/run_test_server.py stop
-}
-
test_doclinkchecker() {
(
set -e
@@ -608,12 +625,4 @@ test_workbench_profile() {
}
do_test apps/workbench_profile workbench_profile
-rotate_logfile "$WORKSPACE/apps/workbench/log/" "test.log"
-
-stop_api
-rotate_logfile "$WORKSPACE/services/api/log/" "test.log"
-
-report_outcomes
-clear_temp
-
-exit ${#failures}
+exit_cleanly
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list